Package twisted :: Package coil :: Module app :: Class PortCollection |
[show private | hide private]
[frames | no frames]

## Class PortCollection

    Collection --+
                 |
       Constrained --+
                     |
      ConfigCollection --+
                         |
                        PortCollection

A collection of Ports; names may only be strings which represent port numbers.

Method Summary
| `__init__(self, app, ptype)`
| `delEntity(self, portno)`
| ``entityConstraint`(self, entity)` A method that determines whether an entity may be added to me. (inherited from `ConfigCollection`)
| ``getDynamicEntity`(self, name, request)` Subclass this to generate an entity on demand. (inherited from `Collection`)
| ``getEntity`(self, name, request)` Retrieve an entity from me. (inherited from `Collection`)
| `getEntityType(self)`
| `getNameType(self)`
| ``getStaticEntity`(self, name)` Get an entity that was added to me using putEntity.
| ``listDynamicEntities`(self, request)` A list of all name, entity that I can generate on demand. (inherited from `Collection`)
| ``listDynamicNames`(self)` Retrieve a list of the names of entities that I store references to. (inherited from `Collection`)
| ``listEntities`(self, request)` Retrieve a list of all name, entity pairs I contain. (inherited from `Collection`)
| ``listNames`(self, request)` Retrieve a list of all names for entities that I contain. (inherited from `Collection`)
| ``listStaticEntities`(self)` Retrieve a list of all name, entity pairs that I store references to.
| ``listStaticNames`(self)` Retrieve a list of the names of entities that I store references to. (inherited from `Collection`)
| ``nameConstraint`(self, name)` Enter a port number.
| ``putEntity`(self, name, entity)` Store an entity if it meets both constraints. (inherited from `Constrained`)
| `reallyPutEntity(self, portno, factory)`
| ``removeEntity`(self, name, request)` Remove an entity for 'name', based on the content of 'request'. (inherited from `Collection`)
| ``storeEntity`(self, name, request)` Store an entity for 'name', based on the content of 'request'. (inherited from `Collection`)

Class Variable Summary
`MetaInterface` | `entityType`

Method Details

### getStaticEntity(self, name) Get an entity that was added to me using putEntity. This method will return 'None' if it fails. Overrides: `twisted.python.roots.Collection.getStaticEntity` (inherited documentation)

### listStaticEntities(self) Retrieve a list of all name, entity pairs that I store references to. See getStaticEntity. Overrides: `twisted.python.roots.Collection.listStaticEntities` (inherited documentation)

### nameConstraint(self, name) Enter a port number.

Class Variable Details

    ### entityType Type: `MetaInterface` Value:
        <class 'twisted.internet.interfaces.IProtocolFactory'>

Generated by Epydoc 1.1 on Thu May 8 13:18:17 2003 | http://epydoc.sf.net